//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ExtDlgs.hpp>
#include <ExtDlgs.hpp>
#include "DXFImage.hpp"
#include "DXFConv.hpp"
#ifndef sgDXFONLY
#include "DWG.hpp"
#include "HPGL2.hpp"
#include "SVG.hpp"
#include "CGM.hpp"
#endif
#include "sgConsts.hpp"


//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TImage *Image1;
        TPanel *Panel1;
  TButton *BtnImport;
        TOpenPictureDialog *OpenPictureDialog1;
  TSaveDialog *SaveDialog;
  TButton *btnSaveAsTxt;
  TLabel *lblLayouts;
  TComboBox *cbLayouts;
        void __fastcall BtnImportClick(TObject *Sender);
  void __fastcall btnSaveAsTxtClick(TObject *Sender);
  void __fastcall cbLayoutsChange(TObject *Sender);
private:
    TStringList *TextFile;
    TsgCADIterate FCADParams;
    int FCurCell;
    void __fastcall ImportPoint(TObject * Sender);
    void __fastcall ImportSolid(TObject *Sender);
    void __fastcall ImportLine(TObject *Sender);
    void __fastcall ImportEllipse(TObject *Sender);
    void __fastcall ImportArc(TObject *Sender);
    void __fastcall ImportCircle(TObject *Sender);
    void __fastcall ImportPolyLine(TObject *Sender);
    void __fastcall ImportAttdef(TObject *Sender);
    void __fastcall ImportText(TObject *Sender);
    void __fastcall ImportSpline(TObject *Sender);
    void __fastcall ImportViewPortBegin(TObject * Sender);
    void __fastcall ImportViewPortEnd(TObject * Sender);

    int __fastcall ReadCADEntities(TsgDXFEntity * Entity);	// User declarations
    int __fastcall FinishReadCADEntities(TsgDXFEntity * Entity);	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
